variables:
  OPENSHIFT_SERVER: 159.203.127.179:8443
  OPENSHIFT_TOKEN: DhifqDod2slxr5ix5ADmpt6JgTa8lpl7f4pTGeyBMtQ
  CI_PROJECT_NAME: oc-pg-prometheus-e2e
  CI_PROJECT_ID: 3
before_script:
 - oc login "$OPENSHIFT_SERVER" --token="$OPENSHIFT_TOKEN" --insecure-skip-tls-verify
 - oc project "$CI_PROJECT_NAME-$CI_PROJECT_ID" 2> /dev/null || oc new-project "$CI_PROJECT_NAME-$CI_PROJECT_ID"  

deploy_staging: 
  tags:
   - oc-runner
  type: deploy
  script:   
    - "oc apply -f resources/ "
    - "oc get all "
